import { type ExtractPropTypes } from 'vue';
import { propsMixin } from './props.mixin';
export type ModalProps = Readonly<ExtractPropTypes<typeof propsMixin>>;
declare const _default: import("vue").DefineComponent<ExtractPropTypes<{
    isShow: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    width: import("vue-types").VueTypeDef<string | number>;
    fullscreen: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showMask: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    closeIcon: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    escClose: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    quickClose: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    transfer: import("vue-types").VueTypeDef<string | boolean | HTMLElement> & {
        default: string | boolean | (() => HTMLElement);
    };
    zIndex: import("vue-types").VueTypeDef<string | number>;
    animateType: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    renderDirective: import("vue-types").VueTypeValidableDef<"if" | "show", import("vue-types/dist/shared/vue-types.d8e57a80").b<"if" | "show">> & {
        default: "if" | "show";
    };
    beforeClose: import("vue-types").VueTypeValidableDef<() => Promise<boolean> | boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<() => Promise<boolean> | boolean>> & {
        default: () => Promise<boolean> | boolean;
    };
    left: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    top: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    extCls: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    backgroundColor: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "shown" | "hidden" | "quick-close")[], "close" | "shown" | "hidden" | "quick-close", import("vue").PublicProps, Readonly<ExtractPropTypes<{
    isShow: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    width: import("vue-types").VueTypeDef<string | number>;
    fullscreen: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showMask: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    closeIcon: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    escClose: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    quickClose: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    transfer: import("vue-types").VueTypeDef<string | boolean | HTMLElement> & {
        default: string | boolean | (() => HTMLElement);
    };
    zIndex: import("vue-types").VueTypeDef<string | number>;
    animateType: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    renderDirective: import("vue-types").VueTypeValidableDef<"if" | "show", import("vue-types/dist/shared/vue-types.d8e57a80").b<"if" | "show">> & {
        default: "if" | "show";
    };
    beforeClose: import("vue-types").VueTypeValidableDef<() => Promise<boolean> | boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<() => Promise<boolean> | boolean>> & {
        default: () => Promise<boolean> | boolean;
    };
    left: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    top: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    extCls: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    backgroundColor: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
}>> & Readonly<{
    onClose?: (...args: any[]) => any;
    onShown?: (...args: any[]) => any;
    onHidden?: (...args: any[]) => any;
    "onQuick-close"?: (...args: any[]) => any;
}>, {
    top: string;
    left: string;
    isShow: boolean;
    renderDirective: "if" | "show";
    extCls: string;
    backgroundColor: string;
    transfer: string | boolean | HTMLElement;
    fullscreen: boolean;
    showMask: boolean;
    closeIcon: boolean;
    escClose: boolean;
    quickClose: boolean;
    animateType: string;
    beforeClose: () => Promise<boolean> | boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
